/*H+ xv.h
*
*    Copyright (c) 1990,1991 by Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file terms of the license.
*
*    SCCS ID: @(#)xv.h 1.1 91/08/02 SMI 
*
*    PURPOSE:
*
*    Declares external functions for xv.c.
*
*    REVISION HISTORY:
*
*    Who       When       Why                   
*    --------- ---------- -----------------------
*    MGS       05/10/91   Preparation for code review.
*
*H-*/

#ifndef _XV_H
#define _XV_H

/*D+ char *guic_xv_event (G_EVENT_TYPES event)
*
* Purpose: Returns the name of the XView event corresponding to the
*          GUIDE event type.
*
* G_EVENT_TYPES  event       (I) The GUIDE event type
* char          *xview_event (R) The name of the XView event.
*D-*/
extern char *guic_xv_event();

#endif /* _XV_H */
