;GIL-2
(
(
	:type                   :menu
	:name                   canvas_menu
	:help                   ""
	:columns                1
	:label                  ""
	:label-type             :string
	:menu-type              :command
	:menu-handler           canvas_menu_handler
	:menu-title             "Canvas Menu"
	:menu-item-labels       ("Item 1" "Item 2" "Item 3" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-defaults     (nil nil nil )
	:menu-item-handlers     (nil nil canvas_menu_item_3_handler )
	:menu-item-menus        (button_menu nonexclusive_menu nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               t
	:user-data              ()
)
(
	:type                   :menu
	:name                   button_menu
	:help                   ""
	:columns                1
	:label                  ""
	:label-type             :string
	:menu-type              :exclusive
	:menu-handler           nil
	:menu-title             "Button Menu"
	:menu-item-labels       ("Item 1" "Item 2" "Item 3" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-defaults     (nil nil nil )
	:menu-item-handlers     (item_1_handler item_2_handler item_3_handler )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "Blue" "Coral" )
	:pinnable               t
	:user-data              ()
)
(
	:type                   :menu
	:name                   nonexclusive_menu
	:help                   ""
	:columns                1
	:label                  ""
	:label-type             :string
	:menu-type              :nonexclusive
	:menu-handler           nonex_menu_handler
	:menu-title             "Nonexclusive Menu"
	:menu-item-labels       ("Item 1" "Item 2" "Item 3" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-defaults     (nil nil nil )
	:menu-item-handlers     (nil nil nil )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               t
	:user-data              ()
)
(
	:type                   :menu
	:name                   panel_menu
	:help                   ""
	:columns                1
	:label                  ""
	:label-type             :string
	:menu-type              :command
	:menu-handler           panel_menu_handler
	:menu-title             "Panel Menu"
	:menu-item-labels       ("Item 1" "Item 2" "Item 3" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-defaults     (nil nil nil )
	:menu-item-handlers     (nil nil nil )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               t
	:user-data              ()
)
(
	:type                   :menu
	:name                   list_menu
	:help                   ""
	:columns                1
	:label                  ""
	:label-type             :string
	:menu-type              :command
	:menu-handler           list_menu_handler
	:menu-title             "List Menu"
	:menu-item-labels       ("Item 1" "Item 2" "Item 3" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-defaults     (nil nil nil )
	:menu-item-handlers     (nil nil nil )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               t
	:user-data              ()
)
(
	:type                   :menu
	:name                   abbrev_menu
	:help                   ""
	:columns                1
	:label                  ""
	:label-type             :string
	:menu-type              :command
	:menu-handler           abbrev_menu_handler
	:menu-title             "Abbreviated Menu"
	:menu-item-labels       ("Item 1" "Item 2" "./test.icon" )
	:menu-item-label-types  (:string :string :glyph )
	:menu-item-defaults     (nil nil t )
	:menu-item-handlers     (nil nil nil )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               t
	:user-data              ()
)
(
	:type                   :base-window
	:name                   window1
	:owner                  nil
	:width                  791
	:height                 619
	:background-color       ""
	:foreground-color       ""
	:label                  "Base Window"
	:label-type             :string
	:mapped                 t
	:show-footer            t
	:resizable              t
	:icon-file              "./test.icon"
	:icon-mask-file         "./test.icon"
	:event-handler          base_window_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :control-area
	:name                   controls1
	:owner                  window1
	:help                   "Test Controls 1: Commnand Menu, Event
		 Events: Primary, Left, Right,
			 Top, Buttons, Enter,
			 Exit, Drag, Move
"
	:x                      0
	:y                      0
	:width                  616
	:height                 160
	:background-color       ""
	:foreground-color       ""
	:show-border            nil
	:menu                   panel_menu
	:event-handler          panel1_event_handler
	:events                 (:keyboard :keyboard-left :keyboard-right :keyboard-top :mouse :mouse-enter :mouse-exit :mouse-drag :mouse-move )
	:user-data              ()
)
(
	:type                   :slider
	:name                   slider1
	:owner                  controls1
	:help                   "Test Slider 1: Horizontal, Notify, Event
	       Foreground: Blue Violet
"
	:x                      328
	:y                      8
	:width                  247
	:height                 20
	:value-x                379
	:value-y                8
	:slider-width           100
	:foreground-color       "Blue Violet"
	:label                  "Slider:"
	:label-type             :string
	:layout-type            :horizontal
	:orientation            :horizontal
	:show-endboxes          nil
	:show-range             t
	:show-value             t
	:min-value              0
	:max-value              100
	:ticks                  0
	:notify-handler         slider_notify_handler
	:event-handler          slider_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :setting
	:name                   setting4
	:owner                  controls1
	:help                   "Test Setting 4: Abbrev Menu, Notify, Event
"
	:x                      172
	:y                      12
	:width                  148
	:height                 23
	:value-x                231
	:value-y                12
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:rows                   1
	:columns                0
	:label                  "Setting:"
	:label-type             :string
	:notify-handler         stack_choice_notify_handler
	:event-handler          nil
	:events                 ()
	:choices                ("Choice 1" "Choice 2" "Choice 3" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("Aquamarine" "Blue" "Coral" )
	:user-data              ()
)
(
	:type                   :button
	:name                   button1
	:owner                  controls1
	:help                   "Test Button 1 - Exclusive Menu, Notify, Event
		Color: Aquamarine"
	:x                      8
	:y                      16
	:constant-width         nil
	:button-type            :normal
	:width                  72
	:height                 19
	:foreground-color       "Aquamarine"
	:label                  "Button"
	:label-type             :string
	:menu                   button_menu
	:notify-handler         button_notify_handler
	:event-handler          button_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :button
	:name                   button2
	:owner                  controls1
	:help                   "Test Button 2: Nonexclusive Menu"
	:x                      88
	:y                      16
	:constant-width         nil
	:button-type            :normal
	:width                  72
	:height                 19
	:foreground-color       ""
	:label                  "Button"
	:label-type             :string
	:menu                   nonexclusive_menu
	:notify-handler         nil
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :gauge
	:name                   gauge1
	:owner                  controls1
	:help                   "Test Gauge 1: Horizontal, Event
	      Color: Cadet Blue
"
	:x                      328
	:y                      36
	:width                  169
	:height                 24
	:value-x                381
	:value-y                36
	:slider-width           100
	:foreground-color       "Cadet Blue"
	:label                  "Gauge:"
	:label-type             :string
	:layout-type            :horizontal
	:orientation            :horizontal
	:show-range             t
	:min-value              0
	:max-value              100
	:ticks                  0
	:event-handler          gauge_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :text-field
	:name                   textfield1
	:owner                  controls1
	:help                   "Test Text-Field 1: Numeric, Notify, Event"
	:x                      20
	:y                      48
	:width                  205
	:height                 15
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Numeric Field:"
	:label-type             :string
	:value-x                126
	:value-y                48
	:layout-type            :horizontal
	:value-length           8
	:stored-length          80
	:max-value              100
	:min-value              0
	:read-only              nil
	:notify-handler         numeric_field_notify_handler
	:event-handler          numeric_field_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :message
	:name                   message1
	:owner                  controls1
	:help                   "Test Message 1: Event"
	:x                      240
	:y                      48
	:width                  60
	:height                 13
	:foreground-color       ""
	:label                  "Message"
	:label-type             :string
	:label-bold             t
	:event-handler          message_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :scrolling-list
	:name                   list1
	:owner                  controls1
	:help                   "Test List 1: Label Above, Notify
	     Color: Cornflower Blue"
	:x                      364
	:y                      64
	:width                  200
	:height                 91
	:foreground-color       "Cornflower Blue"
	:label                  "List Label:"
	:label-type             :string
	:layout-type            :vertical
	:rows                   3
	:read-only              nil
	:multiple-selections    nil
	:selection-required     nil
	:menu                   nil
	:notify-handler         list_notify_handler
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :setting
	:name                   setting1
	:owner                  controls1
	:help                   "Test Setting 1: Exclusive, Notify
		Choice 2: Blue
		Choice 3: Coral
"
	:x                      20
	:y                      72
	:width                  266
	:height                 23
	:value-x                79
	:value-y                72
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:rows                   1
	:columns                0
	:label                  "Setting:"
	:label-type             :string
	:notify-handler         exclusive_choice_notify_handler
	:event-handler          nil
	:events                 ()
	:choices                ("Choice 1" "Choice 2" "Choice 3" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "Blue" "Coral" )
	:user-data              ()
)
(
	:type                   :setting
	:name                   setting2
	:owner                  controls1
	:help                   "Test Setting 2: Nonexclusive, Notify, Event
		Foreground: Aquamarine
		Choice 2: Blue
		Choice 3: Coral
"
	:x                      20
	:y                      100
	:width                  288
	:height                 23
	:value-x                79
	:value-y                100
	:layout-type            :horizontal
	:foreground-color       "Aquamarine"
	:setting-type           :nonexclusive
	:rows                   1
	:columns                0
	:label                  "Setting:"
	:label-type             :string
	:notify-handler         nonex_choice_notify_handler
	:event-handler          nonex_choice_event_handler
	:events                 ()
	:choices                ("Choice 1" "Choice 2" "Choice 3" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "Blue" "Coral" )
	:user-data              ()
)
(
	:type                   :setting
	:name                   setting3
	:owner                  controls1
	:help                   "Test Setting 3: Checkbox, Notify
		Choice 2: Blue
		Choice 3: Coral
"
	:x                      20
	:y                      128
	:width                  342
	:height                 23
	:value-x                79
	:value-y                128
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:rows                   1
	:columns                0
	:label                  "Setting:"
	:label-type             :string
	:notify-handler         checkbox_choice_notify_handler
	:event-handler          nil
	:events                 ()
	:choices                ("Choice 1" "Choice 2" "Choice 3" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "Blue" "Coral" )
	:user-data              ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  window1
	:help                   "Test Controls 2: Borders, Command Menu, Event
		 Foreground: Blue
		 Background: Coral
"
	:x                      616
	:y                      0
	:width                  175
	:height                 160
	:background-color       "Coral"
	:foreground-color       "Blue"
	:show-border            t
	:menu                   panel_menu
	:event-handler          panel2_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :button
	:name                   button3
	:owner                  controls2
	:help                   "Test Button 3: Icon Glyph, Notify, Event"
	:x                      48
	:y                      44
	:constant-width         nil
	:button-type            :normal
	:width                  82
	:height                 74
	:foreground-color       ""
	:label                  "./test.icon"
	:label-type             :glyph
	:menu                   nil
	:notify-handler         button_notify_handler
	:event-handler          button_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :canvas-pane
	:name                   canvas1
	:owner                  window1
	:help                   "Test Canvas 1:  Scrollbars, Command Menu
		Repaint, Event
		Events: Primary, Left, Right,
			Top, Buttons, Enter,
			Exit,  Drag, Move
		Drawing Model: X11
		Foreground: Blue
		Background: Coral"
	:x                      0
	:y                      160
	:width                  204
	:height                 200
	:background-color       "Coral"
	:foreground-color       "Blue"
	:menu                   canvas_menu
	:horizontal-scrollbar   t
	:scrollable-width       204
	:vertical-scrollbar     t
	:scrollable-height      200
	:repaint-proc           canvas_repaint_handler
	:event-handler          canvas_event_handler
	:events                 (:keyboard :keyboard-left :keyboard-right :keyboard-top :mouse :mouse-enter :mouse-exit :mouse-drag :mouse-move )
	:drawing-model          :xwindows
	:user-data              ()
)
(
	:type                   :term-pane
	:name                   termpane1
	:owner                  window1
	:help                   "Test Term-Pane 1: Event
		  Events: Primary, Left, Right,
		  	  Buttons, Enter, Exit,
			  Drag, Move
		  Foreground: Blue
		  Background: Coral
"
	:x                      204
	:y                      160
	:width                  200
	:height                 200
	:background-color       "Coral"
	:foreground-color       "Blue"
	:show-border            t
	:event-handler          term_event_handler
	:events                 (:keyboard :keyboard-left :keyboard-right :keyboard-top :mouse :mouse-enter :mouse-exit :mouse-drag :mouse-move )
	:user-data              ()
)
(
	:type                   :text-pane
	:name                   textpane1
	:owner                  window1
	:help                   "Test Text-Pane 1: Event
		  Events: Primary, Left, Right,
			  Top, Buttons, Enter,
			  Exit, Drag, Move
		  Foreground: Blue
		  Background: Coral
"
	:x                      404
	:y                      160
	:width                  387
	:height                 200
	:background-color       "Coral"
	:foreground-color       "Blue"
	:show-border            t
	:read-only              nil
	:event-handler          text_event_handler
	:events                 (:keyboard :keyboard-left :keyboard-right :keyboard-top :mouse :mouse-enter :mouse-exit :mouse-drag :mouse-move )
	:user-data              ()
)
(
	:type                   :control-area
	:name                   controls3
	:owner                  window1
	:help                   "Test Controls 3"
	:x                      0
	:y                      360
	:width                  791
	:height                 259
	:background-color       ""
	:foreground-color       ""
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :scrolling-list
	:name                   list2
	:owner                  controls3
	:help                   "Test List 2: Label Left, Command Menu, Notify"
	:x                      32
	:y                      20
	:width                  200
	:height                 74
	:foreground-color       ""
	:label                  "List with a Menu:"
	:label-type             :string
	:layout-type            :horizontal
	:rows                   3
	:read-only              nil
	:multiple-selections    nil
	:selection-required     nil
	:menu                   list_menu
	:notify-handler         list_notify_handler
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :scrolling-list
	:name                   list3
	:owner                  controls3
	:help                   "Test List 3: Label Left, Event"
	:x                      408
	:y                      20
	:width                  200
	:height                 74
	:foreground-color       ""
	:label                  "List w/Event Handler:"
	:label-type             :string
	:layout-type            :horizontal
	:rows                   3
	:read-only              nil
	:multiple-selections    nil
	:selection-required     nil
	:menu                   nil
	:notify-handler         nil
	:event-handler          list_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :slider
	:name                   slider2
	:owner                  controls3
	:help                   "Test Slider 2: Vertical"
	:x                      436
	:y                      96
	:width                  117
	:height                 154
	:value-x                487
	:value-y                96
	:slider-width           100
	:foreground-color       ""
	:label                  "Slider:"
	:label-type             :string
	:layout-type            :horizontal
	:orientation            :vertical
	:show-endboxes          nil
	:show-range             t
	:show-value             t
	:min-value              0
	:max-value              100
	:ticks                  0
	:notify-handler         nil
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :text-field
	:name                   textfield2
	:owner                  controls3
	:help                   "Test Text-Field 2: Glyph Label, Alphanumeric,
		   Notify, Event
		   Foreground: Aquamarine
"
	:x                      28
	:y                      108
	:width                  136
	:height                 64
	:foreground-color       "Aquamarine"
	:text-type              :alphanumeric
	:label                  "./test.icon"
	:label-type             :glyph
	:value-x                100
	:value-y                108
	:layout-type            :horizontal
	:value-length           8
	:stored-length          80
	:read-only              nil
	:notify-handler         text_field_notify_handler
	:event-handler          text_field_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :button
	:name                   button4
	:owner                  controls3
	:help                   "Test Button 4: Abbrev Menu, Notify, Event"
	:x                      200
	:y                      112
	:constant-width         nil
	:button-type            :abbreviated
	:width                  73
	:height                 15
	:foreground-color       ""
	:label                  "Button"
	:label-type             :string
	:menu                   abbrev_menu
	:notify-handler         abbrev_button_notify_handler
	:event-handler          abbrev_button_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :gauge
	:name                   gauge2
	:owner                  controls3
	:help                   "Test Gauge 2: Vertical"
	:x                      336
	:y                      124
	:width                  88
	:height                 116
	:value-x                389
	:value-y                124
	:slider-width           100
	:foreground-color       ""
	:label                  "Gauge:"
	:label-type             :string
	:layout-type            :horizontal
	:orientation            :vertical
	:show-range             t
	:min-value              0
	:max-value              100
	:ticks                  0
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :popup-window
	:name                   popup1
	:owner                  window1
	:width                  441
	:height                 264
	:background-color       ""
	:foreground-color       ""
	:label                  "Popup Window"
	:label-type             :string
	:mapped                 nil
	:show-footer            t
	:resizable              t
	:pinned                 nil
	:done-handler           popup_done_handler
	:event-handler          popup_event_handler
	:events                 ()
	:user-data              ()
)
(
	:type                   :term-pane
	:name                   termpane2
	:owner                  popup1
	:help                   "Test Term-Pane 2
"
	:x                      0
	:y                      0
	:width                  441
	:height                 264
	:background-color       ""
	:foreground-color       ""
	:show-border            nil
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
)
