/*H+ help.h
*
*    Copyright (c) 1990,1991 by Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file terms of the license.
*
*    SCCS ID: @(#)help.h 1.1 91/08/02 SMI 
*
*    PURPOSE:
*
*    Declares external functions for help.c.
*
*    REVISION HISTORY:
*
*    Who       When       Why                   
*    --------- ---------- -----------------------
*    MGS       05/10/91   Preparation for code review.
*
*H-*/

#ifndef _HELP_H
#define _HELP_H

/*D+ char *guic_help_file ()
*
* Purpose: Returns the name of the application help file.
*
* char *name (R) The name of the application help file.
*D-*/
extern char *guic_help_file();

/*D+ int guic_write_help_file ()
*
* Purpose: Write the application help file.
*
* int result (R) OK if successful, ERROR if not.
*D-*/
extern int guic_write_help_file();

#endif /* _HELP_H */
