/*H+ init.h
*
*    Copyright (c) 1990,1991 by Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file terms of the license.
*
*    SCCS ID: @(#)init.h 1.1 91/08/02 SMI 
*
*    PURPOSE:
*
*    Declares external functions for init.c.
*
*    REVISION HISTORY:
*
*    Who       When       Why                   
*    --------- ---------- -----------------------
*    MGS       05/10/91   Preparation for code review.
*
*H-*/

#ifndef _INIT_H
#define _INIT_H

/*D+ char *guic_init_file ()
*
* Purpose: Returns the name of the application object initialization file.
*
* char *name (R) The name of the application object initialization file.
*D-*/
extern char *guic_init_file();

/*D+ int guic_write_init_file ()
*
* Purpose: Write the application object intialization file.
*
* int result (R) OK if successful, ERROR if not.
*D-*/
extern int guic_write_init_file();

#endif /* _INIT_H */
