/*H+ make.h
*
*    Copyright (c) 1990,1991 by Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file terms of the license.
*
*    SCCS ID: @(#)make.h 1.1 91/08/02 SMI 
*
*    PURPOSE:
*
*    Declares external functions for make.c.
*
*    REVISION HISTORY:
*
*    Who       When       Why                   
*    --------- ---------- -----------------------
*    MGS       05/10/91   Preparation for code review.
*
*H-*/

#ifndef _MAKE_H
#define _MAKE_H

/*D+ char *guic_make_file ()
*
* Purpose: Returns the name of the application make file.
*
* char *name (R) The name of the application make file.
*D-*/
extern char *guic_make_file();

/*D+ int guic_write_make_file ()
*
* Purpose: Write the application make file.
*
* int result (R) OK if successful, ERROR if not.
*D-*/
extern int guic_write_make_file();

#endif /* _MAKE_H */
