/*H+ object.h
*
*    Copyright (c) 1990,1991 by Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file terms of the license.
*
*    SCCS ID: @(#)object.h 1.1 91/08/02 SMI 
*
*    PURPOSE:
*
*    Declares external functions for object.c.
*
*    REVISION HISTORY:
*
*    Who       When       Why                   
*    --------- ---------- -----------------------
*    MGS       05/10/91   Preparation for code review.
*
*H-*/

#ifndef _OBJECT_H
#define _OBJECT_H

/*D+ void guic_write_object_instantiation (GUIC_OBJ *obj)
*
* Purpose: Write the Instantiation of the specified object.
*
* GUIC_OBJ *obj (I) The object.
*D-*/
extern void guic_write_object_instantiation ();

/*D+ void guic_write_object_initialization (GUIC_OBJ *obj)
*
* Purpose: Wite the member function calls of the specified object.
*
* GUIC_OBJ *obj (I) The object.
*D-*/
extern void guic_write_object_initialization ();

/*D+ void guic_write_object_association (GUIC_OBJ *obj)
*
* Purpose: Write the association of the specified object with its parent.
*
* GUIC_OBJ *obj (I) The object.
*D-*/
extern void guic_write_object_association ();

#endif /* _OBJECT_H */
