/*H+ stubs.h
*
*    Copyright (c) 1990,1991 by Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file terms of the license.
*
*    SCCS ID: @(#)stubs.h 1.1 91/08/02 SMI 
*
*    PURPOSE:
*
*    Declares external functions for stubs.c.
*
*    REVISION HISTORY:
*
*    Who       When       Why                   
*    --------- ---------- -----------------------
*    MGS       05/10/91   Preparation for code review.
*
*H-*/

#ifndef _STUBS_H
#define _STUBS_H

/*D+ char *guic_stubs_file ()
*
* Purpose: Returns the name of the application handler stubs file.
*
* char *name (R) The name of the application handler stubs file.
*D-*/
extern char *guic_stubs_file();

/*D+ int guic_write_stubs_file ()
*
* Purpose: Write the application handler stubs file.
*
* int result (R) OK if successful, ERROR if not.
*D-*/
extern int guic_write_stubs_file();

#endif /* _STUBS_H */
